<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/data_path.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b6c2a257bfab6380ca9b3cb94b12cb25.html">demo</a></li><li class="navelem"><a class="el" href="dir_2c9e0d57919156e517faa12522fe0912.html">xwr14xx</a></li><li class="navelem"><a class="el" href="dir_d0e0924169a62a2cc2921843855ac0c7.html">mmw</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">data_path.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implements Data path processing functionality.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;math.h&gt;</code><br />
<code>#include &lt;xdc/std.h&gt;</code><br />
<code>#include &lt;xdc/cfg/global.h&gt;</code><br />
<code>#include &lt;xdc/runtime/IHeap.h&gt;</code><br />
<code>#include &lt;xdc/runtime/System.h&gt;</code><br />
<code>#include &lt;xdc/runtime/Error.h&gt;</code><br />
<code>#include &lt;xdc/runtime/HeapMin.h&gt;</code><br />
<code>#include &lt;xdc/runtime/Memory.h&gt;</code><br />
<code>#include &lt;ti/sysbios/BIOS.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Task.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Event.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Semaphore.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Clock.h&gt;</code><br />
<code>#include &lt;ti/sysbios/heaps/HeapBuf.h&gt;</code><br />
<code>#include &lt;ti/sysbios/heaps/HeapMem.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/SemaphoreP.h&gt;</code><br />
<code>#include &lt;ti/drivers/edma/edma.h&gt;</code><br />
<code>#include &lt;ti/drivers/esm/esm.h&gt;</code><br />
<code>#include &lt;ti/drivers/soc/soc.h&gt;</code><br />
<code>#include &lt;ti/demo/utils/rx_ch_bias_measure.h&gt;</code><br />
<code>#include &quot;<a class="el" href="config__edma__util_8h.html">config_edma_util.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="config__hwa__util_8h.html">config_hwa_util.h</a>&quot;</code><br />
<code>#include &quot;post_processing.h&quot;</code><br />
<code>#include &quot;<a class="el" href="data__path_8h.html">data_path.h</a>&quot;</code><br />
<code>#include &quot;mmw.h&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a62dacf47c79440026d89c723a3a1edea"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a62dacf47c79440026d89c723a3a1edea">MmwDemo_config2D_EDMA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a62dacf47c79440026d89c723a3a1edea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6b40228170cf4f048609578cb913a87"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ae6b40228170cf4f048609578cb913a87">MmwDemo_config2D_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ae6b40228170cf4f048609578cb913a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a062b82bfa3c50667340f5a0b057571c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a062b82bfa3c50667340f5a0b057571c7">MmwDemo_dataPathTrigger2D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a062b82bfa3c50667340f5a0b057571c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73969cad615b2e8a53b0a317a8c81161"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a73969cad615b2e8a53b0a317a8c81161">MmwDemo_dataPathWait2D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a73969cad615b2e8a53b0a317a8c81161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e52fb3cf034b7d616c21188d5b9ad40"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a0e52fb3cf034b7d616c21188d5b9ad40">MmwDemo_config1D_EDMA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a0e52fb3cf034b7d616c21188d5b9ad40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ad88b233bba1ab089e884993ae4d02d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a9ad88b233bba1ab089e884993ae4d02d">MmwDemo_configCFAR_EDMA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a9ad88b233bba1ab089e884993ae4d02d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10cd2071c5bd1634aa9501b99d8b11fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a10cd2071c5bd1634aa9501b99d8b11fe">MmwDemo_configCFAR_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a10cd2071c5bd1634aa9501b99d8b11fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099a775772d65f4eabf339a23330e012"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a099a775772d65f4eabf339a23330e012">MmwDemo_dataPathTriggerCFAR</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a099a775772d65f4eabf339a23330e012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac63b34d673869638b2416a936793d79c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ac63b34d673869638b2416a936793d79c">MmwDemo_dataPathWaitCFAR</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ac63b34d673869638b2416a936793d79c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af881356797d361d667055dbb4ed8aa08"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#af881356797d361d667055dbb4ed8aa08">MmwDemo_EDMA_transferCompletionCallbackFxn</a> (uintptr_t arg, uint8_t transferCompletionCode)</td></tr>
<tr class="separator:af881356797d361d667055dbb4ed8aa08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0068a58db66f4d9ceb78ba1ea257f02f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a0068a58db66f4d9ceb78ba1ea257f02f">MmwDemo_dataPathHwaDoneIsrCallback</a> (void *arg)</td></tr>
<tr class="separator:a0068a58db66f4d9ceb78ba1ea257f02f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a482651863738b8f1f7a33b0955fb31f6"><td class="memItemLeft" align="right" valign="top">static&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a482651863738b8f1f7a33b0955fb31f6">MmwDemo_genWindow</a> (uint32_t *win, uint32_t winIndx, float phi, uint32_t winType)</td></tr>
<tr class="separator:a482651863738b8f1f7a33b0955fb31f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f322283a6721ee9d95a70b23e6fc219"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a1f322283a6721ee9d95a70b23e6fc219">MmwDemo_dataPathConfigCommon</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a1f322283a6721ee9d95a70b23e6fc219"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad48eaa811b6b4d8f1d226204b351e1b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ad48eaa811b6b4d8f1d226204b351e1b2">MmwDemo_hwaInit</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ad48eaa811b6b4d8f1d226204b351e1b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add2b6a63fb8fa199886886a5a227c3d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#add2b6a63fb8fa199886886a5a227c3d1">MmwDemo_edmaInit</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:add2b6a63fb8fa199886886a5a227c3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89a15b56fb6d936737537372be6a7d4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a89a15b56fb6d936737537372be6a7d4c">MmwDemo_EDMA_errorCallbackFxn</a> (EDMA_Handle handle, EDMA_errorInfo_t *errorInfo)</td></tr>
<tr class="separator:a89a15b56fb6d936737537372be6a7d4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b31a42f3f040f1571ca19ca0ea0cbde"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a9b31a42f3f040f1571ca19ca0ea0cbde">MmwDemo_EDMA_transferControllerErrorCallbackFxn</a> (EDMA_Handle handle, EDMA_transferControllerErrorInfo_t *errorInfo)</td></tr>
<tr class="separator:a9b31a42f3f040f1571ca19ca0ea0cbde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19cb79f9766382e24069ac8707a1e1fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a19cb79f9766382e24069ac8707a1e1fe">MmwDemo_hwaOpen</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, SOC_Handle socHandle)</td></tr>
<tr class="separator:a19cb79f9766382e24069ac8707a1e1fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a6a571c3437c70a22e5c1b65cd35c6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a6a6a571c3437c70a22e5c1b65cd35c6d">MmwDemo_hwaClose</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a6a6a571c3437c70a22e5c1b65cd35c6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0204c597440aeda4305e9e6cc14d317a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a0204c597440aeda4305e9e6cc14d317a">MmwDemo_edmaOpen</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a0204c597440aeda4305e9e6cc14d317a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3578be244881cfac86b9834f5626d9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#aa3578be244881cfac86b9834f5626d9a">MmwDemo_edmaClose</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:aa3578be244881cfac86b9834f5626d9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd40b62a89cf78598f36e5627c05ee38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#acd40b62a89cf78598f36e5627c05ee38">MmwDemo_dataPathObjInit</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, MmwDemo_CliCfg_t *cliCfg, MmwDemo_CliCommonCfg_t *cliCommonCfg)</td></tr>
<tr class="separator:acd40b62a89cf78598f36e5627c05ee38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbfd714ad8ab3114af93ad0460529883"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#adbfd714ad8ab3114af93ad0460529883">MmwDemo_dataPathCfgBuffers</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, <a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *pool)</td></tr>
<tr class="separator:adbfd714ad8ab3114af93ad0460529883"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9931601c67498ae69dad047376d4672"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ab9931601c67498ae69dad047376d4672">MmwDemo_memPoolReset</a> (<a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *pool)</td></tr>
<tr class="separator:ab9931601c67498ae69dad047376d4672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab46a1f7b2b1eea79d22b428e311af4a3"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ab46a1f7b2b1eea79d22b428e311af4a3">MmwDemo_memPoolAlloc</a> (<a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *pool, uint32_t size)</td></tr>
<tr class="separator:ab46a1f7b2b1eea79d22b428e311af4a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11e07f1886b7afcd5017d969cce57587"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a11e07f1886b7afcd5017d969cce57587">MmwDemo_config2DSingleBin_EDMA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint32_t srcBuffPtr, uint32_t dstBuffPtr)</td></tr>
<tr class="separator:a11e07f1886b7afcd5017d969cce57587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3079852ecfb0848d4895d4464ce9cb7e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a3079852ecfb0848d4895d4464ce9cb7e">MmwDemo_dataPathTrigger2DSingleBin</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a3079852ecfb0848d4895d4464ce9cb7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace4c5b918f8614a44af79c92a51585c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ace4c5b918f8614a44af79c92a51585c8">MmwDemo_config1D_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ace4c5b918f8614a44af79c92a51585c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e6713170066d2366a19285975bd929"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ac3e6713170066d2366a19285975bd929">MmwDemo_dataPathTrigger1D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ac3e6713170066d2366a19285975bd929"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7eddbfa4381fd56af895b001c6242f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a2b7eddbfa4381fd56af895b001c6242f">MmwDemo_dataPathWait1D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a2b7eddbfa4381fd56af895b001c6242f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a244b02894a8ea23fa7f08cd854232d6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a244b02894a8ea23fa7f08cd854232d6d">MmwDemo_configDetectedObj2DFFT_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint32_t *dataInPtr, uint32_t *dataOutPtr)</td></tr>
<tr class="separator:a244b02894a8ea23fa7f08cd854232d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25cda24aa787fd20bb4e9962df3aafaa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a25cda24aa787fd20bb4e9962df3aafaa">MmwDemo_configAngleEstimation_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint32_t numObjOut)</td></tr>
<tr class="separator:a25cda24aa787fd20bb4e9962df3aafaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ea0ea3d8bfb51f7c20215a37020c03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#ae9ea0ea3d8bfb51f7c20215a37020c03">MmwDemo_dataPathWait2DFFTDetObj</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ae9ea0ea3d8bfb51f7c20215a37020c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1da84b2606d49e662ea15521dfac43"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a6e1da84b2606d49e662ea15521dfac43">MmwDemo_dataPathTriggerAngleEstimation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a6e1da84b2606d49e662ea15521dfac43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63f3f125b5220269da0f6ca16df433ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a63f3f125b5220269da0f6ca16df433ac">MmwDemo_dataPathWaitAngleEstimation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a63f3f125b5220269da0f6ca16df433ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaebfd9e699625941533ad1789c19505"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#aaaebfd9e699625941533ad1789c19505">MmwDemo_dcRangeSignatureCompensation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:aaaebfd9e699625941533ad1789c19505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3637ec2bdaef76140898f063e62696a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a3637ec2bdaef76140898f063e62696a9">MmwDemo_rxChanPhaseBiasCompensation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint32_t numObj, cmplx16ImRe_t *azimuthSymbols, cmplx16ImRe_t *elevationSymbols)</td></tr>
<tr class="memdesc:a3637ec2bdaef76140898f063e62696a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : MmwDemo_rxChanPhaseBiasCompensation.  <a href="#a3637ec2bdaef76140898f063e62696a9">More...</a><br /></td></tr>
<tr class="separator:a3637ec2bdaef76140898f063e62696a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10084eedccc0746f970dda6122ceb122"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a10084eedccc0746f970dda6122ceb122">MmwDemo_process2D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a10084eedccc0746f970dda6122ceb122"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6fc200c4242ea6bfbde335b06c1af82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#af6fc200c4242ea6bfbde335b06c1af82">MmwDemo_processCfar</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint16_t *numDetectedObjects)</td></tr>
<tr class="separator:af6fc200c4242ea6bfbde335b06c1af82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf96cde0ca23b6e9fd9ac3dab9f6a656"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#adf96cde0ca23b6e9fd9ac3dab9f6a656">MmwDemo_processAngle</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:adf96cde0ca23b6e9fd9ac3dab9f6a656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d544fba2a4525a7bca8d3ed5edb17a3"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a2d544fba2a4525a7bca8d3ed5edb17a3">MmwDemo_pow2roundup</a> (uint32_t x)</td></tr>
<tr class="separator:a2d544fba2a4525a7bca8d3ed5edb17a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a433e4de5eccb5bdf35e4c164a0eab0fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#a433e4de5eccb5bdf35e4c164a0eab0fe">MmwDemo_dataPathDeleteSemaphore</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a433e4de5eccb5bdf35e4c164a0eab0fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa4edd4cb95f6564fc17b156656302004"><td class="memItemLeft" align="right" valign="top">mmwHwaBuf_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8c.html#aa4edd4cb95f6564fc17b156656302004">gMmwHwaMemBuf</a> [<a class="el" href="data__path_8h.html#aaffaed1bb86146bf4fcbc5cb2a091842">MMW_HWA_NUM_MEM_BUFS</a>]</td></tr>
<tr class="separator:aa4edd4cb95f6564fc17b156656302004"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implements Data path processing functionality. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a0e52fb3cf034b7d616c21188d5b9ad40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_config1D_EDMA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures all 1D processing related EDMA configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>error code, see EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ace4c5b918f8614a44af79c92a51585c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_config1D_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configure HWA for 1D processing. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a62dacf47c79440026d89c723a3a1edea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_config2D_EDMA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures all 2D processing related EDMA configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>error code, see EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae6b40228170cf4f048609578cb913a87"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_config2D_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configure HWA for 2D processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a11e07f1886b7afcd5017d969cce57587"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_config2DSingleBin_EDMA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>srcBuffPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dstBuffPtr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures EDMA to prepare for single range bin 2D FFT. It copies a signle bin 1D FFT symbols from radarCube to HWA memory. Then triggers 2D FFT in HWA.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcBuffPtr</td><td>Source buffer address for Single bin 2D FFT operation </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dstBuffPtr</td><td>HWA memory offset to single bin 2D FFT</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>error code, see EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a25cda24aa787fd20bb4e9962df3aafaa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_configAngleEstimation_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numObjOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures HWA for angle (azimuth) estimation.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numObjOut</td><td>Number of detected objects</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9ad88b233bba1ab089e884993ae4d02d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_configCFAR_EDMA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures all CFAR processing related EDMA configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>error code, see EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a10cd2071c5bd1634aa9501b99d8b11fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_configCFAR_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures HWA for CFAR processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a244b02894a8ea23fa7f08cd854232d6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_configDetectedObj2DFFT_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>dataInPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>dataOutPtr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures HWA for angle (azimuth) estimation on top of detected objects.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataInPtr</td><td>HWA memory offset for input data of single range bin 2DFFT </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataOutPtr</td><td>HWA memory offset for out data of single range bin 2DFFT</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adbfd714ad8ab3114af93ad0460529883"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathCfgBuffers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *&#160;</td>
          <td class="paramname"><em>pool</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Allocate buffers needed for data path. </p>

</div>
</div>
<a class="anchor" id="a1f322283a6721ee9d95a70b23e6fc219"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathConfigCommon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Common configuration of data path processing, required to be done only once. Configures all of EDMA and window RAM of HWA. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a433e4de5eccb5bdf35e4c164a0eab0fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathDeleteSemaphore </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Delete semaphores. </p>

</div>
</div>
<a class="anchor" id="a0068a58db66f4d9ceb78ba1ea257f02f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathHwaDoneIsrCallback </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 HWA processing completion call back function as per HWA API. Depending on the programmed transfer completion codes, posts HWA done semaphore. </p>

</div>
</div>
<a class="anchor" id="acd40b62a89cf78598f36e5627c05ee38"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathObjInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_CliCfg_t *&#160;</td>
          <td class="paramname"><em>cliCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_CliCommonCfg_t *&#160;</td>
          <td class="paramname"><em>cliCommonCfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Initializes data path object with supplied cli config pointer. The cli config points to permanent storage outside of data path object that data path object can refer to anytime during the lifetime of data path object. Data path default values that are not required to come through CLI commands are also set in this function. </p>

</div>
</div>
<a class="anchor" id="ac3e6713170066d2366a19285975bd929"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTrigger1D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger HWA for 1D processing. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a062b82bfa3c50667340f5a0b057571c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTrigger2D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger 2D processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3079852ecfb0848d4895d4464ce9cb7e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTrigger2DSingleBin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger Single range bin 2D FFT processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6e1da84b2606d49e662ea15521dfac43"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTriggerAngleEstimation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger Angle estimation processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a099a775772d65f4eabf339a23330e012"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTriggerCFAR </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger CFAR processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2b7eddbfa4381fd56af895b001c6242f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWait1D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Waits for 1D processing to finish. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a73969cad615b2e8a53b0a317a8c81161"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWait2D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Waits for 2D processing to finish. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae9ea0ea3d8bfb51f7c20215a37020c03"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWait2DFFTDetObj </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Wait for angle estimation to complete. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a63f3f125b5220269da0f6ca16df433ac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWaitAngleEstimation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Wait for angle estimation to complete. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac63b34d673869638b2416a936793d79c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWaitCFAR </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Waits for CFAR processing to finish. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaaebfd9e699625941533ad1789c19505"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dcRangeSignatureCompensation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Compensation of DC range antenna signature</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a89a15b56fb6d936737537372be6a7d4c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_EDMA_errorCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_errorInfo_t *&#160;</td>
          <td class="paramname"><em>errorInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Call back function for EDMA CC (Channel controller) error as per EDMA API. Declare fatal error if happens, the output errorInfo can be examined if code gets trapped here. </p>

</div>
</div>
<a class="anchor" id="af881356797d361d667055dbb4ed8aa08"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_EDMA_transferCompletionCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>transferCompletionCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 EDMA transfer completion call back function as per EDMA API. Depending on the programmed transfer completion codes, posts the corresponding done/completion semaphore. Per current design, a single semaphore could have been used as the 1D, 2D and CFAR stages are sequential, this code gives some flexibility if some design change in future. </p>

</div>
</div>
<a class="anchor" id="a9b31a42f3f040f1571ca19ca0ea0cbde"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_EDMA_transferControllerErrorCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_transferControllerErrorInfo_t *&#160;</td>
          <td class="paramname"><em>errorInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Call back function for EDMA transfer controller error as per EDMA API. Declare fatal error if happens, the output errorInfo can be examined if code gets trapped here. </p>

</div>
</div>
<a class="anchor" id="aa3578be244881cfac86b9834f5626d9a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_edmaClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Close EDMA. </p>

</div>
</div>
<a class="anchor" id="add2b6a63fb8fa199886886a5a227c3d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_edmaInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Init EDMA. </p>

</div>
</div>
<a class="anchor" id="a0204c597440aeda4305e9e6cc14d317a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_edmaOpen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Open EDMA. </p>

</div>
</div>
<a class="anchor" id="a482651863738b8f1f7a33b0955fb31f6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static MmwDemo_genWindow </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>win</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>winIndx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>winType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function to generate a single FFT window sample.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">win</td><td>Pointer to output calculated window sample. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">winIndx</td><td>Index of window to generate sample at. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">phi</td><td>Pre-calculated constant by caller as (2*pi/(window length - 1)). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">winType</td><td>Type of window, one of <a class="el" href="data__path_8h.html#a9663c475dfc74987d71cd5d96cf1edda">MMW_WIN_BLACKMAN</a>, <a class="el" href="data__path_8h.html#aaf6f9ddb87af9a06998130a50af41b97">MMW_WIN_HANNING</a>, or <a class="el" href="data__path_8h.html#a9d80e66a1751be86a54aea42919e1d6c">MMW_WIN_RECT</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6a6a571c3437c70a22e5c1b65cd35c6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_hwaClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Close HWA instance. </p>

</div>
</div>
<a class="anchor" id="ad48eaa811b6b4d8f1d226204b351e1b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_hwaInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Init HWA. </p>

</div>
</div>
<a class="anchor" id="a19cb79f9766382e24069ac8707a1e1fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_hwaOpen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SOC_Handle&#160;</td>
          <td class="paramname"><em>socHandle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Open HWA instance. </p>

</div>
</div>
<a class="anchor" id="ab46a1f7b2b1eea79d22b428e311af4a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* MmwDemo_memPoolAlloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *&#160;</td>
          <td class="paramname"><em>pool</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for allocating from a static memory pool.</p>
<dl class="section pre"><dt>Precondition</dt><dd>It is assumed that no allocation from l3 will need better than 32-bit alignment (structures with 64-bit prohibited) and so for simplicity, size is assumed to be multiple of 4 bytes</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pool</td><td>Handle to pool structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">size</td><td>Size in bytes to be allocated.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">pointer</td><td>to beginning of allocated block. NULL indicates could notice allocate. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab9931601c67498ae69dad047376d4672"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_memPoolReset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *&#160;</td>
          <td class="paramname"><em>pool</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for reseting memory pool.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pool</td><td>Handle to pool structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2d544fba2a4525a7bca8d3ed5edb17a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MmwDemo_pow2roundup </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Power of 2 round up function. </p>

</div>
</div>
<a class="anchor" id="a10084eedccc0746f970dda6122ceb122"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_process2D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 2D process chain. </p>

</div>
</div>
<a class="anchor" id="adf96cde0ca23b6e9fd9ac3dab9f6a656"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_processAngle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Angle estimation process chain. </p>

</div>
</div>
<a class="anchor" id="af6fc200c4242ea6bfbde335b06c1af82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_processCfar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>numDetectedObjects</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 CFAR process chain. </p>

</div>
</div>
<a class="anchor" id="a3637ec2bdaef76140898f063e62696a9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_rxChanPhaseBiasCompensation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numObj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cmplx16ImRe_t *&#160;</td>
          <td class="paramname"><em>azimuthSymbols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cmplx16ImRe_t *&#160;</td>
          <td class="paramname"><em>elevationSymbols</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function Name : MmwDemo_rxChanPhaseBiasCompensation. </p>
<hr/>
 <dl class="section user"><dt></dt><dd><b>Description</b> : Compensation of rx channel phase bias</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Data path object</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numObj</td><td>Number of detected points</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">azimuthSymbols</td><td>Symbols of Azimuth antennas</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">elevationSymbols</td><td>Symbols of Elevation antennas</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>void </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="aa4edd4cb95f6564fc17b156656302004"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">mmwHwaBuf_t gMmwHwaMemBuf[<a class="el" href="data__path_8h.html#aaffaed1bb86146bf4fcbc5cb2a091842">MMW_HWA_NUM_MEM_BUFS</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA memory buffer to produce the M0,M1,M2,M3 partition addresses and link to the HWA section in the linker command file. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
